Bug 1421065 (deepin-qt-dbus-factory) - Review Request: deepin-qt-dbus-factory - A repository stores auto-generated Qt5 dbus code
Summary: Review Request: deepin-qt-dbus-factory - A repository stores auto-generated Q...
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-qt-dbus-factory
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview deepin-menu
TreeView+ depends on / blocked
 
Reported: 2017-02-10 09:27 UTC by sensor.wen
Modified: 2018-07-22 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:29:17 UTC
Type: ---
robinlee.sysu: fedora-review+


Attachments (Terms of Use)

Comment 1 Robin Lee 2017-07-19 15:55:07 UTC
Please update to the latest version.

And since upstream named 'dde-qt-dbus-factory', this package should follow that.

And as mentioned in other review, the Spec URL should response the raw text.

Comment 2 sensor.wen 2017-07-21 14:45:09 UTC
SPEC:  https://copr-be.cloud.fedoraproject.org/results/mosquito/deepin/fedora-25-x86_64/00582127-deepin-qt-dbus-factory/deepin-qt-dbus-factory.spec
SRPM:  https://copr-be.cloud.fedoraproject.org/results/mosquito/deepin/fedora-25-x86_64/00582127-deepin-qt-dbus-factory/deepin-qt-dbus-factory-0.2.1-1.gitbecf852.fc25.src.rpm
Task:  https://copr.fedorainfracloud.org/coprs/mosquito/deepin/build/582127/

I have updated the latest version for this package.

Upstream uses two ways to name the same type of package (dde-* and deepin-*). So we need to choose one way for package-naming. 'deepin-*' will be better.

Comment 3 Robin Lee 2017-07-22 14:35:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in deepin-qt-dbus-factory
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or v3)", "LGPL (v2.1 or later)", "GPL (v2 or
     later)", "GPL (v3 or later)", "Unknown or generated". 110 files have
     unknown license. Detailed output of licensecheck in
     /home/cheese/Downloads/1421065-deepin-qt-dbus-factory/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in deepin-
     qt-dbus-factory-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20674810
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.
[!]: The README file can be included.
[!]: Package is named according to the Package Versioning Guidelines.
     Note: Git commit should not be included in the release tag if it is the
     proper released version.
     https://fedoraproject.org/wiki/Packaging:Versioning#Simple_versioning
     And the source url can be written using Git tags:
     https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Tags


Rpmlint
-------
Checking: deepin-qt-dbus-factory-0.2.1-1.gitbecf852.fc27.x86_64.rpm
          deepin-qt-dbus-factory-devel-0.2.1-1.gitbecf852.fc27.x86_64.rpm
          deepin-qt-dbus-factory-debuginfo-0.2.1-1.gitbecf852.fc27.x86_64.rpm
          deepin-qt-dbus-factory-0.2.1-1.gitbecf852.fc27.src.rpm
deepin-qt-dbus-factory.x86_64: W: no-documentation
deepin-qt-dbus-factory.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
deepin-qt-dbus-factory.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
deepin-qt-dbus-factory.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdframeworkdbus.so.1.0.0
deepin-qt-dbus-factory.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdframeworkdbus.so.1.0.0
deepin-qt-dbus-factory-devel.x86_64: W: only-non-binary-in-usr-lib
deepin-qt-dbus-factory-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: deepin-qt-dbus-factory-debuginfo-0.2.1-1.gitbecf852.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
deepin-qt-dbus-factory-devel.x86_64: W: only-non-binary-in-usr-lib
deepin-qt-dbus-factory-devel.x86_64: W: no-documentation
deepin-qt-dbus-factory.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdframeworkdbus.so.1.0.0 /lib64/libQt5Gui.so.5
deepin-qt-dbus-factory.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdframeworkdbus.so.1.0.0 /lib64/libGL.so.1
deepin-qt-dbus-factory.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdframeworkdbus.so.1.0.0 /lib64/libpthread.so.0
deepin-qt-dbus-factory.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdframeworkdbus.so.1.0.0 /lib64/libm.so.6
deepin-qt-dbus-factory.x86_64: W: no-documentation
deepin-qt-dbus-factory.x86_64: E: library-without-ldconfig-postin /usr/lib64/libdframeworkdbus.so.1.0.0
deepin-qt-dbus-factory.x86_64: E: library-without-ldconfig-postun /usr/lib64/libdframeworkdbus.so.1.0.0
3 packages and 0 specfiles checked; 2 errors, 7 warnings.



Requires
--------
deepin-qt-dbus-factory-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    deepin-qt-dbus-factory(x86-64)
    libdframeworkdbus.so.1()(64bit)

deepin-qt-dbus-factory (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

deepin-qt-dbus-factory-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
deepin-qt-dbus-factory-devel:
    deepin-qt-dbus-factory-devel
    deepin-qt-dbus-factory-devel(x86-64)
    pkgconfig(dframeworkdbus)

deepin-qt-dbus-factory:
    deepin-qt-dbus-factory
    deepin-qt-dbus-factory(x86-64)
    libdframeworkdbus.so.1()(64bit)

deepin-qt-dbus-factory-debuginfo:
    debuginfo(build-id)
    deepin-qt-dbus-factory-debuginfo
    deepin-qt-dbus-factory-debuginfo(x86-64)



Source checksums
----------------
https://github.com/linuxdeepin/dde-qt-dbus-factory/archive/becf8526235cedac20622e6e1973952c84a14392/dde-qt-dbus-factory-becf852.tar.gz :
  CHECKSUM(SHA256) this package     : 32ade182d5639003b74839d26d734db705ee891be73eb5e861727eb04d2485ca
  CHECKSUM(SHA256) upstream package : 32ade182d5639003b74839d26d734db705ee891be73eb5e861727eb04d2485ca


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1421065
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 sensor.wen 2017-07-31 06:10:42 UTC
SPEC: https://raw.githubusercontent.com/FZUG/repo/master/rpms/deepin_project/deepin-qt-dbus-factory.spec

It's pretty good. Can i submit it?

Comment 6 Robin Lee 2017-07-31 06:22:17 UTC
According to licensecheck output, this package should be "GPLv3+ and LGPLv2+"
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

GPL (v3 or later)
-----------------
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/appupdateinfolist.cpp
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/appupdateinfolist.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/audioport.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/audioportlist.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/mirrorinfolist.cpp
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/mirrorinfolist.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/propertylist.cpp
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/propertylist.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/windowlist.cpp
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/types/windowlist.h

LGPL (v2.1 or later)
--------------------
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/qtdbusextended/dbusextended.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/qtdbusextended/dbusextendedabstractinterface.cpp
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/qtdbusextended/dbusextendedabstractinterface.h
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/qtdbusextended/dbusextendedpendingcallwatcher.cpp
dde-qt-dbus-factory-becf8526235cedac20622e6e1973952c84a14392/libdframeworkdbus/qtdbusextended/dbusextendedpendingcallwatcher_p.h

------------------
And the latest changelog entry version mis-matches.

Comment 8 Robin Lee 2017-08-05 15:17:41 UTC
This package is approved by cheeselee.

Comment 9 Ralph Bean 2017-08-10 17:16:20 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-qt-dbus-factory

Comment 10 Ralph Bean 2017-08-10 17:17:03 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-qt-dbus-factory

Comment 11 Fedora Update System 2017-10-09 15:24:38 UTC
deepin-qt-dbus-factory-0.3.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35f43291de

Comment 12 Fedora Update System 2017-10-11 06:27:46 UTC
deepin-qt-dbus-factory-0.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35f43291de

Comment 13 Zamir SUN 2018-07-22 13:29:17 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.